Subject: Can't suspend and wakeup outside of gnome

From: Stefan Huchler <[email-masked]>
Date: Mon, 24 Apr 2023 04:13:49 +0200

When I try to suspend as example with loginctl suspend, but also other
methods like dbus command sending or the echo mem > ... it sometimes
works but around 60% mostly the 2nd time never reaches fully the suspend
state but monitor is out, no suspend typical power blinking, the only
way to recover is then to shut down the pc long power button press.

Now I switched from nixos where it worked I also tried to install the
5.15 kernel so in case it's a kernel bug, but the same issue.

I run into another person on #guix irc which claimed to have the same
issue, with a totally different system, I use a amd Ryzen 5 2400G with
the vanilla kernel not linux-libre he said he used the libre kernel with
a intel system.

Did report this already to the nonguix repo.
https://gitlab.com/nonguix/nonguix/-/issues/257

My workaround is to have a gnome instance runnig on tty8 and switch
there to suspend it over gnome then it works always.